Bug 62084 - [maintainer-update] textproc/p5-Text-BibTeX
Summary: [maintainer-update] textproc/p5-Text-BibTeX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-29 23:00 UTC by bremner
Modified: 2004-02-03 03:17 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (4.10 KB, text/plain)
2004-01-29 23:00 UTC, bremner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bremner 2004-01-29 23:00:30 UTC
	The current version of this port will not build on FreeBSD 4/i386.

	I have attempted to correct the problem with the packing list.

	It still works on my 5.2Release machine, so I guess we are 
	no worse off, but I am unable to test.

	Could some kind soul try building and installing on FreeBSD 4 i386?
Comment 1 bremner 2004-01-30 01:29:42 UTC
Oops. I see I left the CVS directory (for my local repository) in 
the shar.

Here is an updated shar file

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Text-BibTeX
#	p5-Text-BibTeX/Makefile
#	p5-Text-BibTeX/distinfo
#	p5-Text-BibTeX/pkg-descr
#	p5-Text-BibTeX/pkg-plist
#
echo c - p5-Text-BibTeX
mkdir -p p5-Text-BibTeX > /dev/null 2>&1
echo x - p5-Text-BibTeX/Makefile
sed 's/^X//' >p5-Text-BibTeX/Makefile << 'END-of-p5-Text-BibTeX/Makefile'
X# New ports collection makefile for:	p5-Text-BibTeX
X# Date created:				Mon Jan 19 2003
X# Whom:					David Bremner <bremner@unb.ca>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	Text-BibTeX
XPORTVERSION=	0.34
XPORTREVISION=	1
X
XCATEGORIES=	textproc perl5
XMASTER_SITES=	${MASTER_SITE_TEX_CTAN}
XMASTER_SITE_SUBDIR=	biblio/bibtex/utils/btOOL
XPKGNAMEPREFIX=	p5-
XDISTFILES=	${PORTNAME}-${PORTVERSION}.tar.gz btparse-0.33.tar.gz
X
XMAINTAINER=	bremner@unb.ca
XCOMMENT=	Text::BibTeX - Manipulate BibTeX files from perl
X
XUSE_PERL5= yes
XPERL_CONFIGURE=	yes
X
XMAN3=		Text::BibTeX.3 Text::BibTeX::Bib.3 Text::BibTeX::BibFormat.3 \
X	Text::BibTeX::BibSort.3 Text::BibTeX::Entry.3 Text::BibTeX::File.3 \
X	Text::BibTeX::Name.3 Text::BibTeX::NameFormat.3 \
X	Text::BibTeX::Structure.3 Text::BibTeX::Value.3 btool_faq.3
X
X.include <bsd.port.mk>
END-of-p5-Text-BibTeX/Makefile
echo x - p5-Text-BibTeX/distinfo
sed 's/^X//' >p5-Text-BibTeX/distinfo << 'END-of-p5-Text-BibTeX/distinfo'
XMD5 (Text-BibTeX-0.34.tar.gz) = 52058d8cc08307438857a375cbaa9264
XMD5 (btparse-0.33.tar.gz) = 426da135e8cb2ee36278b578b12453a4
END-of-p5-Text-BibTeX/distinfo
echo x - p5-Text-BibTeX/pkg-descr
sed 's/^X//' >p5-Text-BibTeX/pkg-descr << 'END-of-p5-Text-BibTeX/pkg-descr'
XText::BibTeX provides objected oriented parsing and formatting of
XBibTeX files from within perl.
X
XWWW: http://www.gerg.ca/software/btOOL/
END-of-p5-Text-BibTeX/pkg-descr
echo x - p5-Text-BibTeX/pkg-plist
sed 's/^X//' >p5-Text-BibTeX/pkg-plist << 'END-of-p5-Text-BibTeX/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Bib.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/BibFormat.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/BibSort.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Entry.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/File.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Name.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/NameFormat.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Structure.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Value.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/Text/btool_faq.pod
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/BibTeX/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/BibTeX/BibTeX.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/BibTeX/BibTeX.so
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX
X@unexec rmdir %D/%%SITE_PERL%%/Text 2>/dev/null || true
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Text
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/BibTeX
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text 2>/dev/null || true
X
X
X
X
END-of-p5-Text-BibTeX/pkg-plist
exit
Comment 2 Tilman Keskinoz freebsd_committer 2004-01-30 13:44:16 UTC
State Changed
From-To: open->feedback

Can you submit updates in diff format, as described in the Porters handbook?
Comment 3 bremner 2004-01-30 22:43:40 UTC
At Thu, 29 Jan 2004 15:00:30 -0800 (PST),

Here is the update as a diff.

It also includes a potential fix for build problems on AMD64.
I was not too sure about the etiquette on bumping the PORTREVISION,
but it does substantially change pkg-plist.

diff -ruN /usr/ports/textproc/p5-Text-BibTeX/Makefile p5-Text-BibTeX/Makefile
--- /usr/ports/textproc/p5-Text-BibTeX/Makefile	Mon Jan 19 19:55:40 2004
+++ p5-Text-BibTeX/Makefile	Fri Jan 30 18:26:42 2004
@@ -7,6 +7,8 @@
 
 PORTNAME=	Text-BibTeX
 PORTVERSION=	0.34
+PORTREVISION=	1
+
 CATEGORIES=	textproc perl5
 MASTER_SITES=	${MASTER_SITE_TEX_CTAN}
 MASTER_SITE_SUBDIR=	biblio/bibtex/utils/btOOL
diff -ruN /usr/ports/textproc/p5-Text-BibTeX/files/patch-btparse-Makefile-defs-in p5-Text-BibTeX/files/patch-btparse-Makefile-defs-in
--- /usr/ports/textproc/p5-Text-BibTeX/files/patch-btparse-Makefile-defs-in	Wed Dec 31 20:00:00 1969
+++ p5-Text-BibTeX/files/patch-btparse-Makefile-defs-in	Fri Jan 30 18:07:42 2004
@@ -0,0 +1,21 @@
+*** ../btparse-0.33/Makefile.defs.in.orig	Fri Jan 30 18:03:34 2004
+--- ../btparse-0.33/Makefile.defs.in	Fri Jan 30 18:03:39 2004
+***************
+*** 38,45 ****
+  #   CPPFLAGS  all flags for the C preprocessor
+  
+  CC = @CC@
+! CFLAGS = @CFLAGS@
+! CFLAGS2 = @CFLAGS2@
+  DEFINES = @DEFINES@
+  EXTRA_CPPFLAGS = 
+  CPPFLAGS = -Ipccts $(DEFINES) $(EXTRA_CPPFLAGS)
+--- 38,45 ----
+  #   CPPFLAGS  all flags for the C preprocessor
+  
+  CC = @CC@
+! CFLAGS = -fPIC @CFLAGS@
+! CFLAGS2 = -fPIC @CFLAGS2@
+  DEFINES = @DEFINES@
+  EXTRA_CPPFLAGS = 
+  CPPFLAGS = -Ipccts $(DEFINES) $(EXTRA_CPPFLAGS)
diff -ruN /usr/ports/textproc/p5-Text-BibTeX/pkg-plist p5-Text-BibTeX/pkg-plist
--- /usr/ports/textproc/p5-Text-BibTeX/pkg-plist	Mon Jan 19 19:55:40 2004
+++ p5-Text-BibTeX/pkg-plist	Fri Jan 30 18:38:42 2004
@@ -1,19 +1,19 @@
-%%SITE_PERL%%/mach/Text/BibTeX.pm
-%%SITE_PERL%%/mach/Text/BibTeX/Bib.pm
-%%SITE_PERL%%/mach/Text/BibTeX/BibFormat.pm
-%%SITE_PERL%%/mach/Text/BibTeX/BibSort.pm
-%%SITE_PERL%%/mach/Text/BibTeX/Entry.pm
-%%SITE_PERL%%/mach/Text/BibTeX/File.pm
-%%SITE_PERL%%/mach/Text/BibTeX/Name.pm
-%%SITE_PERL%%/mach/Text/BibTeX/NameFormat.pm
-%%SITE_PERL%%/mach/Text/BibTeX/Structure.pm
-%%SITE_PERL%%/mach/Text/BibTeX/Value.pm
-%%SITE_PERL%%/mach/Text/btool_faq.pod
-%%SITE_PERL%%/mach/auto/Text/BibTeX/.packlist
-%%SITE_PERL%%/mach/auto/Text/BibTeX/BibTeX.bs
-%%SITE_PERL%%/mach/auto/Text/BibTeX/BibTeX.so
-@dirrm %%SITE_PERL%%/mach/Text/BibTeX
-@dirrm %%SITE_PERL%%/mach/auto/Text/BibTeX
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Bib.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/BibFormat.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/BibSort.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Entry.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/File.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Name.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/NameFormat.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Structure.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX/Value.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/Text/btool_faq.pod
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/BibTeX/.packlist
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/BibTeX/BibTeX.bs
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/BibTeX/BibTeX.so
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/Text/BibTeX
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Text/BibTeX
 @unexec rmdir %D/%%SITE_PERL%%/Text 2>/dev/null || true
-@unexec rmdir %D/%%SITE_PERL%%/mach/Text 2>/dev/null || true
-@unexec rmdir %D/%%SITE_PERL%%/mach/auto/Text 2>/dev/null || true
+@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Text || true
+@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Text 2>/dev/null || true
Comment 4 Vanilla I. Shu freebsd_committer 2004-02-03 03:17:29 UTC
State Changed
From-To: feedback->closed

Committed, thanks.